# -*- Mode: Pyrex -*-

%define DEBUG True

# the code as currently written actually predefines these,
# but using %import/%define you can do it yourself:
%import os
%define UNAME_SYSNAME os.uname()[0]
%define UNAME_MACHINE os.uname()[4]

def t0():
    %if UNAME_SYSNAME.startswith('FreeBSD'):
        print 'compiled for FreeBSD'
    %if UNAME_SYSNAME.startswith('Linux'):
        print 'compiled for Linux'

class cpu:

    %if UNAME_MACHINE == 'i386':
        def num_regs (self):
            return 8

    %if UNAME_MACHINE == 'amd64':
        def num_regs (self):
            return 16

    def method_with_debug (self):
        %if DEBUG:
            print 'complicated precondition'
        %else:
            print 'simple precondition'

        print 'meat'

        %if DEBUG:
            print 'postcondition'

