#!/usr/bin/env python

from distutils.core import setup
from distutils.extension import Extension
from Pyrex.Distutils import build_ext

extra_compile_args = ['-Wno-uninitialized', '-Wno-unused']

setup (
    name='demo',
    ext_modules = [
        Extension (
            'demo',
            ['demo.pyx'],
            extra_compile_args=extra_compile_args
            ),
        ],
    cmdclass = {'build_ext' : build_ext},
    )
